Opened 3 years ago

Closed 3 years ago

Last modified 2 years ago

#2910 closed defect (fixed)

Skipping ‘nokey’ frames in h264 video causes errors

Reported by: eelco Owned by:
Priority: important Component: avcodec
Version: git-master Keywords: h264 regression skip_frame
Cc: miptsu@gmail.com Blocked By:
Blocking: Reproduced by developer: yes
Analyzed by developer: no

Description

Skipping everything but keyframes in a h264 video stream causes errors (which will be concealed).

% ffmpeg -skip_frame nokey -i ~/Downloads/933f2c3eb7ede98963278c8a573c331ff3284490.mkv  -vsync 0 -vf select='eq(pict_type\,I)' '%09d.bmp'
ffmpeg version N-55807-g70106e7 Copyright (c) 2000-2013 the FFmpeg developers
  built on Aug 28 2013 10:57:51 with llvm-gcc 4.2.1 (LLVM build 2336.11.00)
  configuration: --prefix=/Users/eelco/Projects/Beamer/FFmpeg/build --enable-shared --disable-static --disable-ffserver --disable-doc --enable-gpl --enable-version3 --enable-libx264 --enable-libtheora --enable-libvorbis --extra-cflags='-DMACOSX_DEPLOYMENT_TARGET=10.6 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.8.sdk -mmacosx-version-min=10.6 -I/Users/eelco/Projects/Beamer/FFmpeg/build/include' --extra-ldflags='-isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.8.sdk -mmacosx-version-min=10.6 -L/Users/eelco/Projects/Beamer/FFmpeg/build/lib'
  libavutil      52. 42.100 / 52. 42.100
  libavcodec     55. 29.100 / 55. 29.100
  libavformat    55. 14.102 / 55. 14.102
  libavdevice    55.  3.100 / 55.  3.100
  libavfilter     3. 82.102 /  3. 82.102
  libswscale      2.  5.100 /  2.  5.100
  libswresample   0. 17.103 /  0. 17.103
  libpostproc    52.  3.100 / 52.  3.100
[h264 @ 0x101822000] Cannot use next picture in error concealment
[h264 @ 0x101822000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x101822000] Cannot use next picture in error concealment
[h264 @ 0x101822000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x101822000] Cannot use next picture in error concealment
[h264 @ 0x101822000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x101822000] Cannot use next picture in error concealment
[h264 @ 0x101822000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x101822000] Cannot use next picture in error concealment
[h264 @ 0x101822000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x101822000] Cannot use next picture in error concealment
[h264 @ 0x101822000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x101822000] Cannot use next picture in error concealment
[h264 @ 0x101822000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
Input #0, matroska,webm, from '/Users/eelco/Downloads/933f2c3eb7ede98963278c8a573c331ff3284490.mkv':
  Metadata:
    ENCODER         : Lavf54.63.104
  Duration: 00:00:10.34, start: 0.000000, bitrate: 7450 kb/s
    Stream #0:0(eng): Video: h264 (High), yuv420p, 1920x1080 [SAR 1:1 DAR 16:9], 23.98 fps, 23.98 tbr, 1k tbn, 2k tbc (default)
    Stream #0:1(eng): Audio: ac3, 48000 Hz, 5.1(side), fltp, 384 kb/s (default)
    Stream #0:2(eng): Subtitle: subrip (default)
Output #0, image2, to '%09d.bmp':
  Metadata:
    encoder         : Lavf55.14.102
    Stream #0:0(eng): Video: bmp, bgr24, 1920x1080 [SAR 1:1 DAR 16:9], q=2-31, 200 kb/s, 90k tbn, 23.98 tbc (default)
Stream mapping:
  Stream #0:0 -> #0:0 (h264 -> bmp)
Press [q] to stop, [?] for help
[h264 @ 0x10380be00] Cannot use next picture in error concealment
[h264 @ 0x10380be00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380ca00] Cannot use next picture in error concealment
[h264 @ 0x10380ca00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x103800400] Cannot use next picture in error concealment
[h264 @ 0x103800400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380c400] Cannot use next picture in error concealment
[h264 @ 0x10380c400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380d000] Cannot use next picture in error concealment
[h264 @ 0x10380d000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380be00] Cannot use next picture in error concealment
[h264 @ 0x10380be00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380ca00] Cannot use next picture in error concealment
[h264 @ 0x10380ca00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x103800400] Cannot use next picture in error concealment
[h264 @ 0x103800400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380c400] Cannot use next picture in error concealment
[h264 @ 0x10380c400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380d000] Cannot use next picture in error concealment
[h264 @ 0x10380d000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380be00] Cannot use next picture in error concealment
[h264 @ 0x10380be00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380ca00] Cannot use next picture in error concealment
[h264 @ 0x10380ca00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380c400] Cannot use next picture in error concealment
[h264 @ 0x10380c400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380d000] Cannot use next picture in error concealment
[h264 @ 0x10380d000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380be00] Cannot use next picture in error concealment
[h264 @ 0x10380be00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380ca00] Cannot use next picture in error concealment
[h264 @ 0x10380ca00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380c400] Cannot use next picture in error concealment
[h264 @ 0x10380c400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380d000] Cannot use next picture in error concealment
[h264 @ 0x10380d000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380be00] Cannot use next picture in error concealment
[h264 @ 0x10380be00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380ca00] Cannot use next picture in error concealment
[h264 @ 0x10380ca00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x103800400] Cannot use next picture in error concealment
[h264 @ 0x103800400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380c400] Cannot use next picture in error concealment
[h264 @ 0x10380c400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380d000] Cannot use next picture in error concealment
[h264 @ 0x10380d000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380be00] Cannot use next picture in error concealment
[h264 @ 0x10380be00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380ca00] Cannot use next picture in error concealment
[h264 @ 0x10380ca00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x103800400] Cannot use next picture in error concealment
[h264 @ 0x103800400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380c400] Cannot use next picture in error concealment
[h264 @ 0x10380c400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380d000] Cannot use next picture in error concealment
[h264 @ 0x10380d000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380be00] Cannot use next picture in error concealment
[h264 @ 0x10380be00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380ca00] Cannot use next picture in error concealment
[h264 @ 0x10380ca00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x103800400] Cannot use next picture in error concealment
[h264 @ 0x103800400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380c400] Cannot use next picture in error concealment
[h264 @ 0x10380c400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380d000] Cannot use next picture in error concealment
[h264 @ 0x10380d000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380be00] Cannot use next picture in error concealment
[h264 @ 0x10380be00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380ca00] Cannot use next picture in error concealment
[h264 @ 0x10380ca00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380d000] Cannot use next picture in error concealment   
[h264 @ 0x10380d000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380be00] Cannot use next picture in error concealment
[h264 @ 0x10380be00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380ca00] Cannot use next picture in error concealment
[h264 @ 0x10380ca00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x103800400] Cannot use next picture in error concealment
[h264 @ 0x103800400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380c400] Cannot use next picture in error concealment
[h264 @ 0x10380c400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380d000] Cannot use next picture in error concealment
[h264 @ 0x10380d000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380be00] Cannot use next picture in error concealment
[h264 @ 0x10380be00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380ca00] Cannot use next picture in error concealment
[h264 @ 0x10380ca00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x103800400] Cannot use next picture in error concealment
[h264 @ 0x103800400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380c400] Cannot use next picture in error concealment
[h264 @ 0x10380c400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380d000] Cannot use next picture in error concealment
[h264 @ 0x10380d000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380be00] Cannot use next picture in error concealment
[h264 @ 0x10380be00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380ca00] Cannot use next picture in error concealment
[h264 @ 0x10380ca00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x103800400] Cannot use next picture in error concealment
[h264 @ 0x103800400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380c400] Cannot use next picture in error concealment
[h264 @ 0x10380c400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380d000] Cannot use next picture in error concealment
[h264 @ 0x10380d000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380be00] Cannot use next picture in error concealment
[h264 @ 0x10380be00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380ca00] Cannot use next picture in error concealment
[h264 @ 0x10380ca00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x103800400] Cannot use next picture in error concealment
[h264 @ 0x103800400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380c400] Cannot use next picture in error concealment
[h264 @ 0x10380c400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380d000] Cannot use next picture in error concealment
[h264 @ 0x10380d000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380be00] Cannot use next picture in error concealment
[h264 @ 0x10380be00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380ca00] Cannot use next picture in error concealment
[h264 @ 0x10380ca00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x103800400] Cannot use next picture in error concealment
[h264 @ 0x103800400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380c400] Cannot use next picture in error concealment
[h264 @ 0x10380c400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380d000] Cannot use next picture in error concealment
[h264 @ 0x10380d000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380be00] Cannot use next picture in error concealment
[h264 @ 0x10380be00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380ca00] Cannot use next picture in error concealment
[h264 @ 0x10380ca00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x103800400] Cannot use next picture in error concealment
[h264 @ 0x103800400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380c400] Cannot use next picture in error concealment
[h264 @ 0x10380c400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380d000] Cannot use next picture in error concealment
[h264 @ 0x10380d000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380be00] Cannot use next picture in error concealment
[h264 @ 0x10380be00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380ca00] Cannot use next picture in error concealment
[h264 @ 0x10380ca00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x103800400] Cannot use next picture in error concealment
[h264 @ 0x103800400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380c400] Cannot use next picture in error concealment
[h264 @ 0x10380c400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x103800400] Cannot use next picture in error concealment
[h264 @ 0x103800400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380c400] Cannot use next picture in error concealment
[h264 @ 0x10380c400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380d000] Cannot use next picture in error concealment
[h264 @ 0x10380d000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380be00] Cannot use next picture in error concealment
[h264 @ 0x10380ca00] Cannot use next picture in error concealment
[h264 @ 0x10380be00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380ca00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x103800400] Cannot use next picture in error concealment
[h264 @ 0x103800400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380c400] Cannot use next picture in error concealment
[h264 @ 0x10380c400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380d000] Cannot use next picture in error concealment
[h264 @ 0x10380d000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380be00] Cannot use next picture in error concealment
[h264 @ 0x10380be00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380ca00] Cannot use next picture in error concealment
[h264 @ 0x10380ca00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x103800400] Cannot use next picture in error concealment
[h264 @ 0x103800400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380c400] Cannot use next picture in error concealment
[h264 @ 0x10380c400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380d000] Cannot use next picture in error concealment
[h264 @ 0x10380d000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380be00] Cannot use next picture in error concealment   
[h264 @ 0x10380be00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380ca00] Cannot use next picture in error concealment
[h264 @ 0x10380ca00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x103800400] Cannot use next picture in error concealment
[h264 @ 0x103800400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380c400] Cannot use next picture in error concealment
[h264 @ 0x10380c400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380d000] Cannot use next picture in error concealment
[h264 @ 0x10380d000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380be00] Cannot use next picture in error concealment
[h264 @ 0x10380be00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380ca00] Cannot use next picture in error concealment
[h264 @ 0x10380ca00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x103800400] Cannot use next picture in error concealment
[h264 @ 0x103800400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380c400] Cannot use next picture in error concealment
[h264 @ 0x10380c400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380d000] Cannot use next picture in error concealment
[h264 @ 0x10380d000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380be00] Cannot use next picture in error concealment
[h264 @ 0x10380be00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380ca00] Cannot use next picture in error concealment
[h264 @ 0x10380ca00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x103800400] Cannot use next picture in error concealment
[h264 @ 0x103800400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380c400] Cannot use next picture in error concealment
[h264 @ 0x10380c400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380d000] Cannot use next picture in error concealment
[h264 @ 0x10380d000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380be00] Cannot use next picture in error concealment
[h264 @ 0x10380be00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380ca00] Cannot use next picture in error concealment
[h264 @ 0x10380ca00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x103800400] Cannot use next picture in error concealment
[h264 @ 0x103800400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380c400] Cannot use next picture in error concealment
[h264 @ 0x10380c400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380d000] Cannot use next picture in error concealment
[h264 @ 0x10380d000] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380be00] Cannot use next picture in error concealment
[h264 @ 0x10380be00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[h264 @ 0x10380ca00] Cannot use next picture in error concealment
[h264 @ 0x10380ca00] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
[matroska,webm @ 0x101819a00] Invalid EBML number size tag 0x0a at pos 9630173 (0x92f1dd)
[h264 @ 0x103800400] Cannot use next picture in error concealment
[h264 @ 0x103800400] concealing 8160 DC, 8160 AC, 8160 MV errors in P frame
frame=   16 fps= 13 q=-1.0 Lsize=N/A time=00:00:07.13 bitrate=N/A    
video:97201kB audio:0kB subtitle:0 global headers:0kB muxing overhead -100.000022%

Attachments (1)

ticket #2910.mp4 (582.1 KB) - added by drvit 3 years ago.
Skipping ‘nokey’ frames in h264 video causes errors

Download all attachments as: .zip

Change History (15)

comment:1 follow-up: Changed 3 years ago by eelco

I would upload the file to the FTP (it’s too big to attach here), but upload.ffmpeg.org seems down at the moment. You can reproduce this with any file with h264 video though.

Last edited 3 years ago by eelco (previous) (diff)

comment:2 Changed 3 years ago by eelco

  • Summary changed from Skipping ‘nokey‘ frames in h264 video causes errors to Skipping ‘nokey’ frames in h264 video causes errors

comment:3 in reply to: ↑ 1 ; follow-up: Changed 3 years ago by cehoyos

Replying to eelco:

I would upload the file to the FTP (it’s too big to attach here), but upload.ffmpeg.org seems down at the moment.

$ ftp upload.ffmpeg.org
Connected to jones.videolan.org.

comment:4 in reply to: ↑ 3 Changed 3 years ago by eelco

Replying to cehoyos:

$ ftp upload.ffmpeg.org
Connected to jones.videolan.org.

Great :) Uploaded to incoming as 933f2c3eb7ede98963278c8a573c331ff3284490.mkv.

comment:5 follow-up: Changed 3 years ago by cehoyos

  • Component changed from undetermined to avcodec
  • Keywords h264 regression added
  • Priority changed from normal to important
  • Reproduced by developer set
  • Status changed from new to open
  • Version changed from unspecified to git-master

The messages were always shown, visual corruption is a regression since 1fad547.

comment:6 Changed 3 years ago by michael

  • Resolution set to fixed
  • Status changed from open to closed

comment:7 follow-up: Changed 3 years ago by tborisow

was it merged into ffmpeg2.0 branch?

comment:8 in reply to: ↑ 7 Changed 3 years ago by cehoyos

Replying to tborisow:

was it merged into ffmpeg2.0 branch?

Yes, it is fixed in the 2.0.2 release.

comment:9 Changed 3 years ago by drvit

Seems this error still not fixed completely. I have part of h264 video encoded by Format Factory 3.1.1 and see almost the same error. The same happened with every of 5 tested h264 files from Internet, some of them I have re-encoded by Format Factory and HandBrake?, but nothing changed. See h264-file in attachment above.

\ffmpeg\bin>ffplay.exe -skip_frame nokey -i ".\video\v3-720p-h264-part.mp4"
ffplay version N-59742-gd9481dc Copyright (c) 2003-2014 the FFmpeg developers
  built on Jan  9 2014 22:07:16 with gcc 4.8.2 (GCC)
  configuration: --enable-gpl --enable-version3 --disable-w32threads --enable-av
isynth --enable-bzlib --enable-fontconfig --enable-frei0r --enable-gnutls --enab
le-iconv --enable-libass --enable-libbluray --enable-libcaca --enable-libfreetyp
e --enable-libgsm --enable-libilbc --enable-libmodplug --enable-libmp3lame --ena
ble-libopencore-amrnb --enable-libopencore-amrwb --enable-libopenjpeg --enable-l
ibopus --enable-librtmp --enable-libschroedinger --enable-libsoxr --enable-libsp
eex --enable-libtheora --enable-libtwolame --enable-libvidstab --enable-libvo-aa
cenc --enable-libvo-amrwbenc --enable-libvorbis --enable-libvpx --enable-libwavp
ack --enable-libx264 --enable-libxavs --enable-libxvid --enable-zlib
  libavutil      52. 62.100 / 52. 62.100
  libavcodec     55. 47.101 / 55. 47.101
  libavformat    55. 22.103 / 55. 22.103
  libavdevice    55.  5.102 / 55.  5.102
  libavfilter     4.  1.100 /  4.  1.100
  libswscale      2.  5.101 /  2.  5.101
  libswresample   0. 17.104 /  0. 17.104
  libpostproc    52.  3.100 / 52.  3.100
[h264 @ 0000000000358980] Cannot use next picture in error concealment
[h264 @ 0000000000358980] concealing 1620 DC, 1620 AC, 1620 MV errors in P frame

[h264 @ 0000000000358980] Cannot use next picture in error concealment
[h264 @ 0000000000358980] concealing 1620 DC, 1620 AC, 1620 MV errors in P frame

[h264 @ 0000000000358980] Cannot use next picture in error concealment
[h264 @ 0000000000358980] concealing 1620 DC, 1620 AC, 1620 MV errors in P frame

[h264 @ 0000000000358980] Cannot use next picture in error concealment
[h264 @ 0000000000358980] concealing 1620 DC, 1620 AC, 1620 MV errors in P frame

[h264 @ 0000000000358980] Cannot use next picture in error concealment
[h264 @ 0000000000358980] concealing 1620 DC, 1620 AC, 1620 MV errors in P frame

[h264 @ 0000000000358980] Cannot use next picture in error concealment
[h264 @ 0000000000358980] concealing 1620 DC, 1620 AC, 1620 MV errors in P frame

Input #0, mov,mp4,m4a,3gp,3g2,mj2, from '.\video\v3-720p-h264-part.mp4':
  Metadata:
    major_brand     : isom
    minor_version   : 1
    compatible_brands: isomavc1
    creation_time   : 2014-01-13 22:12:45
    encoder         : FormatFactory : www.pcfreetime.com
  Duration: 00:00:04.20, start: 0.000000, bitrate: 1134 kb/sf=0/0
    Stream #0:0(und): Video: h264 (High) (avc1 / 0x31637661), yuv420p, 856x480 [
SAR 480:481 DAR 856:481], 1015 kb/s, SAR 427:428 DAR 427:240, 24 fps, 24 tbr, 96
 tbn, 48 tbc (default)
    Metadata:
      creation_time   : 2014-01-13 22:12:45
      handler_name    : video
    Stream #0:1(und): Audio: aac (mp4a / 0x6134706D), 44100 Hz, stereo, fltp, 12
3 kb/s (default)
    Metadata:
      creation_time   : 2014-01-13 22:12:45
      handler_name    : sound
[h264 @ 00000000003b3420] Cannot use next picture in error concealment
[h264 @ 00000000003b3420] concealing 1620 DC, 1620 AC, 1620 MV errors in P frame

[h264 @ 0000000005aa8d20] Cannot use next picture in error concealment
[h264 @ 0000000005aa8440] Cannot use next picture in error concealment
[h264 @ 0000000005aa95e0] Cannot use next picture in error concealment
[h264 @ 000000000589b500] Cannot use next picture in error concealment
[h264 @ 000000000589bde0] Cannot use next picture in error concealment
[h264 @ 000000000589c6a0] Cannot use next picture in error concealment
[h264 @ 00000000003b3b20] Cannot use next picture in error concealment
[h264 @ 0000000005aa8d20] concealing 1620 DC, 1620 AC, 1620 MV errors in P frame

[h264 @ 0000000005aa8440] concealing 1620 DC, 1620 AC, 1620 MV errors in P frame

[h264 @ 0000000005aa95e0] concealing 1620 DC, 1620 AC, 1620 MV errors in P frame

[h264 @ 000000000589b500] concealing 1620 DC, 1620 AC, 1620 MV errors in P frame

[h264 @ 000000000589bde0] concealing 1620 DC, 1620 AC, 1620 MV errors in P frame

[h264 @ 000000000589c6a0] concealing 1620 DC, 1620 AC, 1620 MV errors in P frame

[h264 @ 00000000003b3b20] concealing 1620 DC, 1620 AC, 1620 MV errors in P frame

[h264 @ 00000000003b20c0] Cannot use next picture in error concealment
[h264 @ 00000000003b20c0] concealing 1620 DC, 1620 AC, 1620 MV errors in P frame

[h264 @ 00000000003b3420] Cannot use next picture in error concealment
[h264 @ 0000000005aa8440] Cannot use next picture in error concealment
[h264 @ 0000000005aa8d20] Cannot use next picture in error concealment
[h264 @ 0000000005aa95e0] Cannot use next picture in error concealment
[h264 @ 000000000589b500] Cannot use next picture in error concealment
[h264 @ 000000000589b500] concealing 1620 DC, 1620 AC, 1620 MV errors in P frame

[h264 @ 000000000589c6a0] Cannot use next picture in error concealment
[h264 @ 00000000003b3b20] Cannot use next picture in error concealment
[h264 @ 00000000003b20c0] Cannot use next picture in error concealment
[h264 @ 00000000003b3420] concealing 1620 DC, 1620 AC, 1620 MV errors in P frame

[h264 @ 0000000005aa8440] concealing 1620 DC, 1620 AC, 1620 MV errors in P frame

[h264 @ 0000000005aa8d20] concealing 1620 DC, 1620 AC, 1620 MV errors in P frame

etc

Last edited 3 years ago by drvit (previous) (diff)

Changed 3 years ago by drvit

Skipping ‘nokey’ frames in h264 video causes errors

comment:10 Changed 3 years ago by drvit

  • Cc miptsu@gmail.com added
  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:11 Changed 3 years ago by cehoyos

  • Resolution set to fixed
  • Status changed from reopened to closed

The sample you uploaded contains exactly one keyframe (the first one), -skip_frame -nokey does not make much sense for this sample / works fine.

comment:12 Changed 3 years ago by cehoyos

If you only want to report that -skip_frame -nokey shows warnings, please open a new ticket, the warnings were shown since forever, this ticket was about a regression that affected the actual functionality of the option.

comment:13 in reply to: ↑ 5 Changed 2 years ago by cehoyos

Replying to cehoyos:

The messages were always shown

The messages were fixed by Michael in 7eae8cd8

comment:14 Changed 2 years ago by cehoyos

  • Keywords skip_frame added
Note: See TracTickets for help on using tickets.